# kdecore Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# NETRootInfoPrivate Struct Reference

Private data for the NETRootInfo class. More...

`#include <netwm_p.h>`

Collaboration diagram for NETRootInfoPrivate:

[legend]
List of all members.

## Public Attributes

Display * | display
NETSize | rootSize
Window | root
Window | supportwindow
const char * | name
int | screen
RArray< NETPoint > | viewport
RArray< NETRect > | workarea
NETSize | geometry
Window | active
Window * | clients
Window * | stacking
Window * | virtual_roots
Window * | kde_system_tray_windows
RArray< const char * > | desktop_names
int | number_of_desktops
int | current_desktop
unsigned long | clients_count
unsigned long | stacking_count
unsigned long | virtual_roots_count
unsigned long | kde_system_tray_windows_count
unsigned long | protocols
int | ref

## Detailed Description

Private data for the NETRootInfo class.

Definition at line 76 of file netwm_p.h.

The documentation for this struct was generated from the following file:

- netwm_p.h

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 12:50:17 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001